<edit file>
$boarddir/changelog.txt
</edit file>

<search for>
SMF 1.1 RC3                                                      August 21, 2006
</search for>

<replace>
SMF 1.1 RC3-1                                                    October 29,2006
================================================================================
October 2006
--------------------------------------------------------------------------------
 ! Some search parameters weren't being sanatized when accessing a previous search, leading to a potential XSS vulnerability (PersonalMessage.php, Search.php)
 ! Minor typo in PlushSearch2 prevented "user" search parameter from being remembered when trying to access a previous search (Search.php)
 ! Fixed a problem with the cur_cat parameter when adding a new board. (ManageBoards.php)
 ! Prevent users without access to any boards from causing a query error when using the unread posts search. (Recent.php)
 ! Make sure to clean all strings when registering a new member. (Register.php)

SMF 1.1 RC3                                                      August 21, 2006
</replace>

<edit file>
$sourcedir/PersonalMessage.php
</edit file>

<search for>
* Software Version:           SMF 1.1 RC3                                     *
</search for>

<replace>
* Software Version:           SMF 1.1 RC3-1                                   *
</replace>

<search for>
		$context['search_params']['userspec'] = htmlspecialchars(stripslashes($context['search_params']['userspec']));
</search for>

<add after>

	if (!empty($context['search_params']['searchtype']))
		$context['search_params']['searchtype'] = 2;

	if (!empty($context['search_params']['minage']))
		$context['search_params']['minage'] = (int) $context['search_params']['minage'];

	if (!empty($context['search_params']['maxage']))
		$context['search_params']['maxage'] = (int) $context['search_params']['maxage'];

	$context['search_params']['subject_only'] = !empty($context['search_params']['subject_only']);
	$context['search_params']['show_complete'] = !empty($context['search_params']['show_complete']);
</add after>

<edit file>
$sourcedir/Search.php
</edit file>

<search for>
* Software Version:           SMF 1.1 RC3                                     *
</search for>

<replace>
* Software Version:           SMF 1.1 RC3-1                                   *
</replace>

<search for>
	if (isset($context['search_params']['userspec']))
		$context['search_params']['userspec'] = htmlspecialchars(stripslashes($context['search_params']['userspec']));
</search for>

<add after>
	if (!empty($context['search_params']['searchtype']))
		$context['search_params']['searchtype'] = 2;
	if (!empty($context['search_params']['minage']))
		$context['search_params']['minage'] = (int) $context['search_params']['minage'];
	if (!empty($context['search_params']['maxage']))
		$context['search_params']['maxage'] = (int) $context['search_params']['maxage'];

	$context['search_params']['show_complete'] = !empty($context['search_params']['show_complete']);
	$context['search_params']['subject_only'] = !empty($context['search_params']['subject_only']);
</add after>

<search for>
	if (!empty($search_params['user_spec']) || (!empty($_REQUEST['userspec']) && $_REQUEST['userspec'] != '*'))
</search for>

<replace>
	if (!empty($search_params['userspec']) || (!empty($_REQUEST['userspec']) && $_REQUEST['userspec'] != '*'))
</replace>

<edit file>
$sourcedir/ManageBoards.php
</edit file>

<search for>
* Software Version:           SMF 1.1 RC3                                     *
</search for>

<replace>
* Software Version:           SMF 1.1 RC3-1                                   *
</replace>

<search for>
				$boardOptions['target_category'] = $_POST['cur_cat'];
</search for>

<replace>
				$boardOptions['target_category'] = (int) $_POST['cur_cat'];
</replace>

<edit file>
$sourcedir/Recent.php
</edit file>

<search for>
* Software Version:           SMF 1.1 RC3                                     *
</search for>

<replace>
* Software Version:           SMF 1.1 RC3-1                                   *
</replace>

<search for>
		$query_this_board = 'b.ID_BOARD IN (' . implode(', ', $boards) . ')';

		// If this category has a significant number of posts in it...
</search for>

<replace>
		if (empty($boards))
			fatal_lang_error('error_no_boards_selected', false);

		$query_this_board = 'b.ID_BOARD IN (' . implode(', ', $boards) . ')';

		// If this category has a significant number of posts in it...
</replace>

<search for>
		$query_this_board = 'b.ID_BOARD IN (' . implode(', ', $boards) . ')';

		// If these boards have a significant number of posts in them...
</search for>

<replace>
		if (empty($boards))
			fatal_lang_error('error_no_boards_selected', false);

		$query_this_board = 'b.ID_BOARD IN (' . implode(', ', $boards) . ')';

		// If these boards have a significant number of posts in them...
</replace>

<edit file>
$sourcedir/Register.php
</edit file>

<search for>
* Software Version:           SMF 1.1 RC3                                     *
</search for>

<replace>
* Software Version:           SMF 1.1 RC3-1                                   *
</replace>

<search for>
			$regOptions['extra_register_vars'][$var] = '\'' . $_POST[$var] . '\'';
</search for>

<replace>
			$regOptions['extra_register_vars'][$var] = '\'' . htmlspecialchars($_POST[$var]) . '\'';
</replace>